add_executable(mdd_server_test
	test_Server.cpp
	zhelpers.hpp
        )
target_link_libraries(mdd_server_test gtest gtest_main ${Boost_LIBRARIES} libzmq-static)
target_compile_definitions(mdd_server_test PUBLIC SERVER_EXE=\"$<TARGET_FILE:mdd_server>\")

add_dependencies(mdd_server_test mdd_server)

add_test(mdd_server_test mdd_server_test)